/* CSS Document */

.faq{
	& dt,
	& dd{
		display: grid;
		grid-template-columns: auto 1fr;
		align-items: center;
		box-sizing: border-box;
		&:before{
			align-self: flex-start;
			display: grid;
			justify-content: center;
			align-items: center;
			margin-right: 0.5em;
			aspect-ratio: 1;
			width: 40px;
			height: auto;
			font-weight: 700;
			font-size: 18px;
			border-radius:100%;
			color:#fff;
			box-sizing: border-box;
		}
	}
	& dt{
		padding-top: clamp(24px, calc(40 / 1200 * 100dvw), 40px);
		border-top: 1px dotted #ccc;
		&:first-of-type{
			padding-top: 0;
			border-top: none;
		}
		&:before{
			content: "Q";
			padding-bottom: 0.2em;
			background: var(--color-theme);
		}
	}
	& dd{
		margin-top: clamp(16px, calc(24 / 1200 * 100dvw), 24px);
		&:before{
			content: "A";
			background: var(--color-accent);
		}
	}
	& dd+dt{
		margin-top: clamp(24px, calc(40 / 1200 * 100dvw), 40px);
	}
}
